| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::detail::coroutine Namespace Reference

## Classes

struct | final_awaiter
| Struct returned by a coroutine's final_suspend, resumes the continuation. More...
struct | promise_t
| Promise type for coroutine. More...
struct | promise_t< void >
| Struct returned by a coroutine's final_suspend, resumes the continuation. More...

## Typedefs

template<typename R>
using | handle_t = std_coroutine::coroutine_handle<promise_t<R>>
| Alias for the handle_t of a coroutine.

## Typedef Documentation

## ◆ handle_t

template<typename R>

using dpp::detail::coroutine::handle_t = std_coroutine::coroutine_handle<promise_t<R>>

Alias for the handle_t of a coroutine.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0